/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package MatrixSumSolver.fastsumsolver;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Michael
 */
public class SingleMatrixElementEquivalenceClass implements EquivalenceClass {

    class MCO {
        int line, column;
        public MCO(int line, int column) {
            this.line = line;
            this.column = column;
        }
    }

    private final int value;
    private final List<MCO> list;

    public SingleMatrixElementEquivalenceClass(int value) {
        this.value = value;
        list = new ArrayList<>();
    }

    public void add(int matrixLine, int matrixColumn) {
        list.add( new MCO(matrixLine, matrixColumn) );
    }

    @Override
    public int getValue() {
        return value;
    }

    @Override
    public long getElementCount() {
        return list.size();
    }

}
